summaryrefslogtreecommitdiff
path: root/app-emulation/wine/wine-1.5.20.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'app-emulation/wine/wine-1.5.20.ebuild')
-rw-r--r--app-emulation/wine/wine-1.5.20.ebuild34
1 files changed, 25 insertions, 9 deletions
diff --git a/app-emulation/wine/wine-1.5.20.ebuild b/app-emulation/wine/wine-1.5.20.ebuild
index 3e9e4819..3ee5b15a 100644
--- a/app-emulation/wine/wine-1.5.20.ebuild
+++ b/app-emulation/wine/wine-1.5.20.ebuild
@@ -59,7 +59,7 @@ MLIB_DEPS="amd64? (
app-emulation/emul-linux-x86-baselibs
>=sys-kernel/linux-headers-2.6
)"
-RDEPEND="truetype? ( >=media-libs/freetype-2.0.0 media-fonts/corefonts )
+RDEPEND="truetype? ( >=media-libs/freetype-2.0.0 )
perl? ( dev-lang/perl dev-perl/XML-Simple )
capi? ( net-dialup/capi4k-utils )
ncurses? ( >=sys-libs/ncurses-5.2:= )
@@ -73,11 +73,12 @@ RDEPEND="truetype? ( >=media-libs/freetype-2.0.0 media-fonts/corefonts )
gnutls? ( net-libs/gnutls:= )
gstreamer? ( media-libs/gstreamer:0.10 media-libs/gst-plugins-base:0.10 )
X? (
+ x11-libs/libICE
+ x11-libs/libSM
x11-libs/libXcursor
x11-libs/libXext
x11-libs/libXrandr
x11-libs/libXi
- x11-libs/libXmu
x11-libs/libXxf86vm
)
xinerama? ( x11-libs/libXinerama )
@@ -130,17 +131,32 @@ usr/share/applications/wine-notepad.desktop
usr/share/applications/wine-uninstaller.desktop
usr/share/applications/wine-winecfg.desktop"
-src_unpack() {
- if use win64 ; then
- [[ $(( $(gcc-major-version) * 100 + $(gcc-minor-version) )) -lt 404 ]] \
- && die "you need gcc-4.4+ to build 64bit wine"
+wine_build_environment_check() {
+ [[ ${MERGE_TYPE} = "binary" ]] && return 0
+
+ if use win64 && [[ $(( $(gcc-major-version) * 100 + $(gcc-minor-version) )) -lt 404 ]]; then
+ eerror "You need gcc-4.4+ to build 64-bit wine"
+ eerror
+ return 1
fi
- if use win32 && use opencl; then
- [[ x$(eselect opencl show) = "xintel" ]] &&
- die "Cannot build wine[opencl,win32]: intel-ocl-sdk is 64-bit only" # 403947
+ if use win32 && use opencl && [[ x$(eselect opencl show 2> /dev/null) = "xintel" ]]; then
+ eerror "You cannot build wine with USE=opencl because intel-ocl-sdk is 64-bit only."
+ eerror "See https://bugs.gentoo.org/487864 for more details."
+ eerror
+ return 1
fi
+}
+pkg_pretend() {
+ wine_build_environment_check || die
+}
+
+pkg_setup() {
+ wine_build_environment_check || die
+}
+
+src_unpack() {
if [[ ${PV} == "9999" ]] ; then
git-2_src_unpack
else